/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSMREQOUTBILL') 
 CREATE TABLE T_IM_OSMREQOUTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDEPTID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(512) DEFAULT ' ' NOT NULL,
FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL,
FBILLCRETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FASYNCSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCHARGEOFFED CHAR(1) DEFAULT '0' NOT NULL,
FISCHARGEOFF CHAR(1) DEFAULT '0' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FSETTLEORG BIGINT DEFAULT 0 NOT NULL,
FREQUSERID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERORG BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCY BIGINT DEFAULT 0 NOT NULL,
FSUPPLYOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYOWNER BIGINT DEFAULT 0 NOT NULL,
FTRANSACTEPATHID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FUNITSRCTYPE  VARCHAR(30) DEFAULT 'NULL' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSMREQOUTBILL_L') 
 CREATE TABLE T_IM_OSMREQOUTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSMREQOUTBILLENTRY') 
 CREATE TABLE T_IM_OSMREQOUTBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT2NDID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FQTYUNIT2ND DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FENTRYCOMMENT VARCHAR(512) DEFAULT ' ' NOT NULL,
FOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FKEEPERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FOUTINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOUTINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FOUTOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTOWNERID BIGINT DEFAULT 0 NOT NULL,
FOUTKEEPERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTKEEPERID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FNOUPDATEINVFIELDS VARCHAR(100) DEFAULT ' ' NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISFREEGIFT CHAR(1) DEFAULT '0' NOT NULL,
FISREWORK CHAR(1) DEFAULT '0' NOT NULL,
FPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTNUM VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSMREQOUTBILLENTRY_R') 
 CREATE TABLE T_IM_OSMREQOUTBILLENTRY_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FLOGISTICSBILL CHAR(1) DEFAULT '0' NOT NULL,
FMVERSION BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCSYSBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCSYSBILLENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMISETTLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMIREMAINSETTLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMIREMAINSETTLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMISETTLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURCHASEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINPURQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURCHASEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINPURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSUNVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSUNVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSPURINBILL') 
 CREATE TABLE T_IM_OSPURINBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDEPTID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBIZOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FBIZOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(512) DEFAULT ' ' NOT NULL,
FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL,
FBILLCRETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBOOKDATE DATETIME,
FASYNCSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FISCHARGEOFFED CHAR(1) DEFAULT '0' NOT NULL,
FISCHARGEOFF CHAR(1) DEFAULT '0' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FISINITBILL CHAR(1) DEFAULT '0' NOT NULL,
FHASAPBUSBILL CHAR(1) DEFAULT '0' NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FTRANSACTEPATHID BIGINT DEFAULT 0 NOT NULL,
FPAYMODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYTRANS CHAR(1) DEFAULT '0' NOT NULL,
FQUOTATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITSRCTYPE  VARCHAR(30) DEFAULT 'NULL' NOT NULL
 );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSPURINBILL_L') 
 CREATE TABLE T_IM_OSPURINBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSPURINBILLENTRY') 
 CREATE TABLE T_IM_OSPURINBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT2NDID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FQTYUNIT2ND DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FENTRYCOMMENT VARCHAR(512) DEFAULT ' ' NOT NULL,
FOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FKEEPERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FOUTINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOUTINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FOUTOWNERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTOWNERID BIGINT DEFAULT 0 NOT NULL,
FOUTKEEPERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTKEEPERID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FNOUPDATEINVFIELDS VARCHAR(100) DEFAULT ' ' NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUPLOT VARCHAR(50) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEDATE DATETIME,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESS VARCHAR(300) DEFAULT ' ' NOT NULL,
FCURDEDUCTIBLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCTIBLERATE DECIMAL(23,2) DEFAULT 0 NOT NULL,
FSUBTYPE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSPURINBILLENTRY_L') 
 CREATE TABLE T_IM_OSPURINBILLENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPROVIDERADDRESS VARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_OSPURINBILLENTRY_R') 
 CREATE TABLE T_IM_OSPURINBILLENTRY_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FLOGISTICSBILL CHAR(1) DEFAULT '0' NOT NULL,
FMVERSION BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCSYSBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCSYSBILLENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FJOINPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINJOINPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINBILLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FJOINPRICEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMAINJOINPRICEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMISETTLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMISETTLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMIREMAINSETTLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVMIREMAINSETTLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCSYSBILLNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FGROUPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FCONBILLNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONBILLROWNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONBILLID BIGINT DEFAULT 0 NOT NULL,
FCONBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FOSVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSUNVERIFYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOSUNVERIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\IM_table.sql **/
